Subject: Re: WINDRES alternative for egcs Mingw32 on Win95
From: [email-masked] (Peter Dalgaard BSA)

18 Jul 1998 15:06:37 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
To: Douglas Steele <[email-masked]>
Cc: [email-masked]

Douglas Steele <[email-masked]> writes:

> Can anyone suggest an alternative for windres on ecgs Mingw32.
> On some Win95 setups it fails because when it does a popen it dumps the
> res file to the screen instead of passing it to gcc.  Problem, according
> to Mumit, is due not to windres, but to various Win95 DLL's which are
> used by Mingw32.
> 
> 
> It was suggested to me that I try to use windres compiled with djgpp
> ftp://sirio.stat.unipd.it/pub/misc and this compiles OK.  Even links OK.
> Trouble is that I get a runtime error
> (system crash with blue screen
> Fatal Exception 0E at 0137:BFF9A07C
> then
> R incurred invalid page fault in module <unknown> at bffb:00080020)
> 
> Presumably an incompatible windres.
> 

The rumors I've heard say that the problems occur with W95 OSR*1*, but
not earlier or later versions and that it works with binutils 2.9.1...

-- 
   O__  ---- Peter Dalgaard             Blegdamsvej 3  
  c/ /'_ --- Dept. of Biostatistics     2200 Cph. N   
 (*) \(*) -- University of Copenhagen   Denmark      Ph: (+45) 35327918
~~~~~~~~~~ - ([email-masked])             FAX: (+45) 35327907
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".